/* convert.c
 * Fonctions utiles pour l'implantation des tables
 * permettant de convertir une chaine de caracteres
 * en entier
 * Auteur : VOURIOT Thierry
 * Date : 15 decembre 2001
 */

#include "convert.h"

BNat convert(char *nom)
{
	int i;
	BNat res;
	res = 0;
	for (i=0;i<5;i++)
		res = res ^ horner(nom,i);
	return res;
}


BNat horner(char *nom, int j)
{
	int i;
	BNat res = 0;
	for (i=0;i<4;i++)
		res = res * 256 + nom[4*j+3-i];
	return res;
}


