# table.spec
# Specification algebrique des tables finies
# Auteur : VOURIOT Thierry
# Date : 10 janvier 2001

# Sorte S definissant l'egalite
spec EG etend BASE

	sorte S

	operations

		==: S S -> Bool		#Egalite
		!=: S S -> Bool		#Difference

	axiomes

		(x==x) = vrai
		(x!=y) = non (x==y)

fspec

spec ENTREE etend EG
	
	avec S -> E

fspec

spec VALEUR etend EG
	
	avec S -> V

fspec

spec TABLE(ENTREE,VALEUR) etend BASE

	sorte Table

	operations

		tablenouv: -> Table		#Nouvelle table
		adj: Table E V -> Table		#Ajout d'une entree
		elem: Table E -> V		#Element
		vide: Table -> Bool		#Teste si vide
		supp: Table E -> Table		#Suppression d'une entree
		mod: Table E V -> Table		#Modification d'une valeur


	preconditions

		pre adj(t,i,x) = (elem(t,i)== et x!=)
		pre mod(t,ix) = (elem(t,i)!=)


	axiomes
		#constructeurs tabnouv et adj

		elem(tabnouv,i) = 
		elem(adj(t,i,x),j) = si i==j alors x
					sinon elem(t,j) fsi

		vide(tabnouv) = vrai
		vide(adj(_,_,_) = faux
		
		supp(tabnouv,j) = tabnouv
		supp(adj(t,i,x),j) = si i==j alors t
					sinon adj(supp(t,j),i,x) fsi

		mod(adj(t,i,x),j,y) = si i==j alors adj(t,j,y)
					sinon adj(mod(t,j,y),i,x) fsi

fspec
