/* utable.c
 * Programme utilisant l'implantation d'une table de double hachage
 * pour enregistrer des noms avec des dates de naissance
 * Auteur : VOURIOT Thierry
 * Date : 15 decembre 2001
 */

#include "hash.h"

void aff_menu(void);
void initChaine(char *);

static Table t;

/* Vide le tampon associe a stdin */
void vide_stdin()
{
	char c = getchar();
	if (c != '\n')
		while ( (getchar()) !=  '\n');
}

/* Lecture d'une chaine de caractere */
void get_line(char *buf, size_t size) 
{
	int i = 0;
	char c;
	while ((c = getchar()) != '\n' && i < size)
	{
		buf[i] = c;
		i++;
	}
	buf[i] = '\0';
	
}
int main() 
{
	char c;	
	char nom[20];
	int date;
	t = tablenouv();
	initChaine(nom);

    	for (aff_menu();(c=getchar())!='q';aff_menu()) 
	{

        	vide_stdin();
        	switch(c) {
        		case 'a': { 
				printf("\nNom :");get_line(nom,sizeof nom);
				printf("h(i) = %d\n",h(convert(nom)));
				printf("Annee de naissance :");scanf("%d",&date);vide_stdin();
				t = adj(t,nom,date);
				initChaine(nom);
				break; 
			}
			case 's': { 
				printf("\nNom :");get_line(nom,sizeof nom);
				t = supp(t,nom);
				initChaine(nom);
				break; 
			}

        		case 'e': { 
				printf("\nNom :");get_line(nom,sizeof nom);
				printf("\nAnnee de naissance de %s : %d\n",nom,elem(t,nom));
				initChaine(nom);
				break; 
			}
    		}
	}

}

void initChaine(char * ch)
{
	int i;
	for (i=0;i<20;i++)
		ch[i] = '\0';
}

void aff_menu() {

     	printf("\n\n TESTS D'UNE TABLE (HACHAGE DOUBLE)\n");
     	aff(t);
     	printf("\n\na. Ajouter");
	printf("\ns. Supprimer");
	printf("\ne. Element");
     	printf("\nq. Quitter");
     	printf("\n\nChoix :");
}
